# Generated by Django 3.2 on 2023-10-16 17:00

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0020_dataperikanan_kodeperikanan'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataDetailPerikanan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jenisinput', models.CharField(default='KUB', max_length=500)),
                ('kodeperikanan', models.TextField(null=True)),
                ('namakelompok', models.TextField(null=True)),
                ('ketua', models.TextField(null=True)),
                ('bantuan', models.IntegerField(null=True)),
                ('sk_pelatihan', models.TextField(null=True)),
                ('foto', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('perikanan', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.dataperikanan')),
            ],
        ),
    ]
